## org.biojava.bio.dp
Class MarkovModel.DistributionForwarder

    java.lang.Object
      org.biojava.utils.ChangeForwarder
          org.biojava.bio.dp.MarkovModel.DistributionForwarder

All Implemented Interfaces:
  ChangeListener, java.util.EventListener

Enclosing class:
  MarkovModel

public static class MarkovModel.DistributionForwarder
extends ChangeForwarder

Add this as a listener to each distribution in a model. It will pump the WEIGHTS and NULL_MODEL events on the distribitions over to the HMM.

Since:
  1.1
Author:
  Matthew Pocock

Nested Class Summary

Nested classes inherited from class org.biojava.utils.ChangeListener
`ChangeListener.AlwaysVetoListener, ChangeListener.LoggingListener`

Field Summary

Fields inherited from interface org.biojava.utils.ChangeListener
`ALWAYS_VETO, LOG_TO_OUT`

Constructor Summary
`MarkovModel.DistributionForwarder(java.lang.Object source, ChangeSupport cs)`

Method Summary
`protected ChangeEvent` `generateEvent(ChangeEvent ce)` Return the new event to represent the originating event ce.

Methods inherited from class org.biojava.utils.ChangeForwarder
`changeSupport, getSource, postChange, preChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkovModel.DistributionForwarder

    public MarkovModel.DistributionForwarder(java.lang.Object source,
                                             ChangeSupport cs)

Method Detail

### generateEvent

    protected ChangeEvent generateEvent(ChangeEvent ce)

  Description copied from class: `ChangeForwarder`

  Return the new event to represent the originating event ce.

  The returned ChangeEvent is the event that will be fired, and should be built from information in the original event. If it is null, then no event will be fired.

  The default implementation just constructs a ChangeEvent of the same type that chains back to ce.

  Overrides:
    `generateEvent` in class `ChangeForwarder`
  Parameters:
    `ce` - the originating ChangeEvent
  Returns:
    a new ChangeEvent to pass on, or null if no event should be sent